Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicCheckBoxMenuItemUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.MenuItemUI
                        |
                        +--javax.swing.plaf.basic.BasicMenuItemUI
                              |
                              +--javax.swing.plaf.basic.BasicCheckBoxMenuItemUI

public class BasicCheckBoxMenuItemUI
extends BasicMenuItemUI

BasicCheckboxMenuItem implementation

Inner classes inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, selectionBackground, selectionForeground`

Constructor Summary
`BasicCheckBoxMenuItemUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`protected java.lang.String` | `getPropertyPrefix()`
`protected void` | `installDefaults()`
`void` | `processMouseEvent(JMenuItem item, java.awt.event.MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, getMaximumSize, getMinimumSize, getPath, getPreferredMenuItemSize, getPreferredSize, installKeyboardActions, installListeners, installUI, paint, paintMenuItem, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicCheckBoxMenuItemUI

    public BasicCheckBoxMenuItemUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    protected void installDefaults()

  Overrides:
    installDefaults in class BasicMenuItemUI

### getPropertyPrefix

    protected java.lang.String getPropertyPrefix()

  Overrides:
    getPropertyPrefix in class BasicMenuItemUI

### processMouseEvent

    public void processMouseEvent(JMenuItem item,
                                  java.awt.event.MouseEvent e,
                                  MenuElement[] path,
                                  MenuSelectionManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.